Package org.apache.ignite.internal.sql

## Class SqlCommandProcessor

- java.lang.Object
- - org.apache.ignite.internal.sql.SqlCommandProcessor

    public class SqlCommandProcessor
    extends Object

Processor responsible for execution of native Ignite commands.

### Field Summary

Fields
`protected GridKernalContext` `ctx` Kernal context.
`protected IgniteLogger` `log` Logger.
`protected SchemaManager` `schemaMgr` Schema manager.

### Constructor Summary

Constructors
`SqlCommandProcessor​(GridKernalContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCommandSupported​(SqlCommand cmd)`
`@Nullable FieldsQueryCursor<List<?>>` `runCommand​(SqlCommand cmdNative)` Execute command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctx

    protected final GridKernalContext ctx

Kernal context.

#### log

    protected final IgniteLogger log

Logger.

#### schemaMgr

    protected final SchemaManager schemaMgr

Schema manager.

### Constructor Detail

#### SqlCommandProcessor

    public SqlCommandProcessor​(GridKernalContext ctx)

Constructor.

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### runCommand

    @Nullable
    public @Nullable FieldsQueryCursor<List<?>> runCommand​(SqlCommand cmdNative)

Execute command.

Parameters:
  `cmdNative` - Native command.
Returns:
  Result.

#### isCommandSupported

    public boolean isCommandSupported​(SqlCommand cmd)

Returns:
  `True` if command is supported by this command processor.